package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CFieldAccess extends CStmt{

    private CType CType;
    private CStmt CStmt;

    private String name;
    private String idref;
    private String idkind;

    public CFieldAccess() {
        this.CStmt = null;
        this.CType = null;
        this.idkind = null;
        this.idref = null;
        this.name = null;
    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getIdref() {
        return idref;
    }

    public void setIdref(String idref) {
        this.idref = idref;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
